--[[ Use Addon Wide Data Table ]]--
local addonName,addon = ...

if nUI_Dashboard and nUI_Dashboard.Anchor then

    --[[ Create the InfoPanel Plugin ]]--
    local plugin    = CreateFrame( "Frame", addon:GetInfoPanelName(), nUI_Dashboard.Anchor );
    plugin.active   = true;

    --[[ Handle the addons Events ]]--
    local function onEvent(self,event,arg1,arg2,arg3)
        if ( event == "ADDON_LOADED" ) then
            if arg1 == "nUI" then
                addon.nUILoaded = true
            elseif arg1 == addonName then
                if not addon.nUILoaded then
                    LoadAddOn("nUI")
                end
                addon.nUILoaded = IsAddOnLoaded("nUI")
                addon.plugin = plugin
                addon:OnAddonLoaded()
            end
        end	
    end

    --[[ Set Up the Event Script ]]--
    plugin:SetScript( "OnEvent", onEvent );
    plugin:RegisterEvent( "ADDON_LOADED" );

    --[[ The InfoPanel initialisation routine ]]--
    plugin.initPanel = function( container, options )
        plugin.container = container;
        plugin.options   = options;
        if options and options.enabled then
            plugin.setEnabled( true );
        end
    end

    --[[ The InfoPanel resizing routine ]]--
    plugin.sizeChanged = function( scale, height, width )
        local options  = plugin.options;
        plugin.scale = scale;
        addon:OnResize(plugin, height, width)
    end	

    --[[ The InfoPanel enabling routine ]]--
    plugin.setEnabled = function( enabled )
        if plugin.enabled ~= enabled then
            plugin.enabled = enabled;
            if not enabled then
                addon:OnDisable(plugin)
            else
                addon:OnEnable(plugin)
            end				
        end			
    end

    --[[ The InfoPanel selection routine ]]--
    plugin.setSelected = function( selected )
        if selected ~= plugin.selected then
            plugin.selected = selected;
            if selected then
                addon:OnSelected()
            else
            end
        end
    end
    
end